package connection

import (
	"fmt"
	"log"
	"net"
	"strconv"

	"git.fanyx.xyz/fanyx/goufy/pkg/config"
)

type GbxClient struct {
	conn      net.Conn
	reqHandle int
}

func (client *GbxClient) Connect(c config.AppConfig) {
	// create connection string from config
	gbxConnString := c.Trackmania.Host + strconv.FormatInt(int64(c.Trackmania.Port), 10)

	var err error
	//initiate GbxClient
	client.conn, err = net.Dial("tcp", gbxConnString)
	if err != nil {
		log.Fatal(err)
	}
	defer client.conn.Close()

	// handshake
	buf := make([]byte, 4)
	_, err = client.conn.Read(buf)
	if err != nil {
		log.Fatal(err)
	}

	fmt.Println("read content:", buf)
}
